Bug 1259111 - tempest subunit call fails, ValueError: Not a text type application/octet-stream
tempest subunit call fails, ValueError: Not a text type application/octet-stream
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: y1
: ---
Assigned To: Imre Farkas
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 21:03 EDT by wes hayutin
Modified: 2016-09-20 01:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 12:24:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2015-09-01 21:03:48 EDT
Description of problem:

{0} setUpClass (tempest.api.volume.test_volumes_negative.VolumesV1NegativeTest) [0.000000s] ... FAILED
{0} setUpClass (tempest.api.volume.test_volumes_negative.VolumesV2NegativeTest) [0.000000s] ... FAILED
{0} setUpClass (tempest.api.volume.test_volumes_snapshots.VolumesV1SnapshotTestJSON) [0.000000s] ... FAILED
{0} setUpClass (tempest.api.volume.test_volumes_snapshots.VolumesV2SnapshotTestJSON) [0.000000s] ... FAILED
{0} setUpClass (tempest.api.volume.test_volumes_snapshots_negative.VolumesV1SnapshotNegativeTestJSON) [0.000000s] ... FAILED
{0} setUpClass (tempest.api.volume.test_volumes_snapshots_negative.VolumesV2SnapshotNegativeTestJSON) [0.000000s] ... FAILED
{0} setUpClass (tempest.api.volume.v2.test_volumes_list.VolumesV2ListTestJSON) [0.000000s] ... FAILED

==============================
Failed 58 tests - output below:
==============================

subunit.parser
--------------
Traceback (most recent call last):
  File "/usr/bin/subunit-trace", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/tempest_lib/cmd/subunit_trace.py", line 275, in main
    print_fails(sys.stdout)
  File "/usr/lib/python2.7/site-packages/tempest_lib/cmd/subunit_trace.py", line 173, in print_fails
    print_attachments(stream, f, all_channels=True)
  File "/usr/lib/python2.7/site-packages/tempest_lib/cmd/subunit_trace.py", line 108, in print_attachments
    if (all_channels or name in channels) and detail.as_text():
  File "/usr/lib/python2.7/site-packages/testtools/content.py", line 94, in as_text
    return _u('').join(self.iter_text())
  File "/usr/lib/python2.7/site-packages/testtools/content.py", line 110, in iter_text
    raise ValueError("Not a text type %r" % self.content_type)
ValueError: Not a text type application/octet-stream
Comment 4 wes hayutin 2015-09-02 15:07:16 EDT
ack.. we're updating the CI right now
Comment 5 Mike Burns 2015-09-03 12:24:04 EDT
closing notabug per comment 4

Note You need to log in before you can comment on or make changes to this bug.